<template>
  <slot />
</template>

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/sources/#geojson

import {
  propsSource,
  propsSourceAttribution,
  propsSourcePromoteId,
  propsSourceGeojson
} from './shared/props.js'

export const opts = Object.assign({},
  propsSource,
  propsSourceAttribution,
  propsSourcePromoteId,
  propsSourceGeojson
)
</script>

<script setup>
import { setupSource } from './shared/setup.js'

const type = 'geojson'
const props = defineProps(opts)
const { source } = setupSource(type, opts, props)

defineExpose({ source })
</script>
